## cyvcf2 0.31.4

=== requirements.txt ===
cython>=0.23.3,<3; python_version < "3.9"
cython>=3; python_version >= "3.9"
coloredlogs
click
setuptools
oldest-supported-numpy; os_name != "nt" and python_version < "3.9"
numpy; os_name == "nt" and python_version < "3.9"
numpy>=2.0.0; python_version >= "3.9"

=== debian/changelog ===
cyvcf2 (0.31.4-1) unstable; urgency=medium

  * New upstream version 0.31.4  (Closes: #1119732)
  * d/control: build depends on python3-numpy-dev.
  * i386.patch: provide dep3 header.
  * add_htslib_link_dependency.patch: dep3 header.
    This change normalizes the Last-Update timestamp.
  * d/watch: convert to v5 Github template.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Mon, 03 Nov 2025 22:27:08 +0100

=== debian/control ===
Source: cyvcf2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Liubov Chuprikova <chuprikovalv@gmail.com>,
           Étienne Mollier <emollier@debian.org>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               zlib1g-dev,
               cython3,
               python3-setuptools,
               python3-all-dev,
               python3-numpy,
               python3-numpy-dev,
               python3-coloredlogs,
               python3-click,
               python3-pytest,
               libssl-dev,
               libcurl4-gnutls-dev|libcurl4-openssl-dev,
               libhts-dev,
               libbz2-dev,
               help2man <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
Homepage: https://github.com/brentp/cyvcf2

Package: python3-cyvcf2
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         python3-coloredlogs,
         python3-click
Description: VCF parser based on htslib (Python 3)
 This modules allows fast parsing of VCF and BCF including region-queries
 with Python. This is essential for efficient analyses of nucleotide
 variation with Python on high-throughput sequencing data.
 .
 cyvcf2 is a cython wrapper around htslib.  Attributes like
 variant.gt_ref_depths return a numpy array directly so they are
 immediately ready for downstream use.
 .
 This package installs the library for Python 3.

=== debian/watch ===
Version: 5

Template: Github
Owner: brentp
Project: cyvcf2

## cyvcf2 0.32.0

=== debian/changelog ===
cyvcf2 (0.32.0-1) unstable; urgency=medium

  * New upstream version 0.32.0
  * i386.patch: refresh.
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Feb 2026 17:26:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
            Étienne Mollier <emollier@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                zlib1g-dev,
@@ -22,7 +21,7 @@
                libhts-dev,
                libbz2-dev,
                help2man <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
 Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
 Homepage: https://github.com/brentp/cyvcf2
